apiVersion: v1
kind: Service
metadata:
  name: router-service
  namespace: rpiuav
spec:
  ports:
  - name: router-tcp-in
    port: 5760
    protocol: TCP
    targetPort: 5760
  - name: router-udp-default-in
    port: 14550
    protocol: UDP
    targetPort: 14550
  - name: router-udp-extra-in-14560
    port: 14560
    protocol: UDP
    targetPort: 14560
  - name: router-udp-extra-in-14561
    port: 14561
    protocol: UDP
    targetPort: 14561
  - name: router-udp-extra-in-14562
    port: 14562
    protocol: UDP
    targetPort: 14562
  - name: router-udp-extra-in-14563
    port: 14563
    protocol: UDP
    targetPort: 14563
  selector:
    app.kubernetes.io/name: router-deployment
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    name: router
  name: router
  namespace: rpiuav
spec:
  replicas: 1
  selector:
    matchLabels:
      app: router-replicaset
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: router-replicaset
        app.kubernetes.io/name: router-deployment
    spec:
      containers:
      - image: registry.gitlab.com/got.vision/rpiuav/router:2022-07-27.223
        name: router
        ports:
        - containerPort: 5760
        - containerPort: 14550
        - containerPort: 14560
        - containerPort: 14561
        - containerPort: 14562
        - containerPort: 14563
        securityContext:
          privileged: true
        volumeMounts:
        - mountPath: /etc/mavlink-router
          name: main-conf
        - mountPath: /dev/serial0
          name: serial
        resources:
          requests:
            memory: "100Mi"
            cpu: "0.25"
          limits:
            memory: "500Mi"
            cpu: "0.5"
      hostNetwork: true
      volumes:
      - configMap:
          items:
          - key: ROUTER_CONFIG
            path: main.conf
          name: rpi4-config
        name: main-conf
      - hostPath:
          path: /dev/serial0
        name: serial
